It hangs unable to select the install button after downgrading it from 1.1.1 to 1.0.2.

I've never ran into this problem...

can someone throw me a bit of known knowledge about this?